View Issue Details

IDProjectCategoryView StatusLast Update
0006207Talerdeployment and operationspublic2020-07-24 11:56
ReporterbuckE Assigned TobuckE  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Target Version0.8Fixed in Version0.8 
Summary0006207: Please install docutils if weblate back-end docs are required
DescriptionWeblate's Django back-end has a "Documentation" link. It might have useful information. It seems to depend on `docutils` package running on server.

Also maybe (?) this is required for weblate's main translation features.
Steps To Reproduce1 - Log in as admin
2 - Visit https://weblate.taler.net/admin/doc/
Additional Informationhttps://docutils.sourceforge.io/
https://packages.debian.org/search?suite=stretch&searchon=names&keywords=docutils
TagsNo tags attached.

Activities

Christian Grothoff

2020-04-23 11:17

manager   ~0015749

python3-docutils is/was already installed on the server. If you need to start a service, I'd say just do it as weblate. If you need an nginx service entry and/or a DNS name, let me know.

buckE

2020-04-27 06:05

reporter   ~0015784

Solution was to `pip install docutils` into the Weblate virtualenv.

Issue History

Date Modified Username Field Change
2020-04-23 07:59 buckE New Issue
2020-04-23 07:59 buckE Status new => assigned
2020-04-23 07:59 buckE Assigned To => Christian Grothoff
2020-04-23 11:17 Christian Grothoff Note Added: 0015749
2020-04-23 11:32 Christian Grothoff Assigned To Christian Grothoff => buckE
2020-04-23 11:32 Christian Grothoff Status assigned => feedback
2020-04-27 06:05 buckE Status feedback => resolved
2020-04-27 06:05 buckE Resolution open => fixed
2020-04-27 06:05 buckE Note Added: 0015784
2020-07-24 11:56 Christian Grothoff Target Version => 0.8
2020-07-24 11:56 Christian Grothoff Fixed in Version => 0.8